package de.intevation.flys.artifacts.model.fixings;

import de.intevation.artifactdatabase.state.Facet;

import de.intevation.flys.artifacts.model.CalculationResult;
import de.intevation.flys.artifacts.model.WQKms;
import de.intevation.flys.artifacts.model.WaterlevelFacet;

import de.intevation.flys.artifacts.states.DefaultState.ComputeType;

public class FixWaterlevelFacet
extends      WaterlevelFacet
{
    public FixWaterlevelFacet() {
    }

    public FixWaterlevelFacet(int index, String name, String description) {
        super(index, name, description, ComputeType.ADVANCE, null, null);
    }

    public FixWaterlevelFacet(
        int         index,
        String      name,
        String      description,
        ComputeType type,
        String      stateID,
        String      hash
    ) {
        super(index, name, description, type, hash, stateID);
    }

    @Override
    protected WQKms [] getWQKms(CalculationResult res) {
        FixRealizingResult fr = (FixRealizingResult)res.getData();
        return fr != null ? fr.getWQKms() : null;
    }

    /** Copy deeply. */
    @Override
    public Facet deepCopy() {
        FixWaterlevelFacet copy = new FixWaterlevelFacet();
        copy.set(this);
        copy.type    = type;
        copy.hash    = hash;
        copy.stateId = stateId;
        return copy;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
